/*
 * @(#)UTF_32LE_BOM.java        1.1        05/11/09
 *
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * Contributors: Ulf Zibis, Germany, Ulf.Zibis @ CoSoCo.de
 */

package sun.nio.cs;

class UTF_32LE_BOM extends UTF_32 {

    UTF_32LE_BOM(String canonicalName, String... aliases) {
        super(canonicalName, aliases);
    }

    public String historicalName() {
        return "X-UTF-32LE-BOM";
    }

    public Decoder newDecoder() {
        return new Decoder(this, LITTLE);
    }

    public Encoder newEncoder() {
        return new Encoder(this, LITTLE, true);
    }
}
