/*
 * @(#)UTF_16LE.java        1.21        05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * Contributors: Ulf Zibis, Germany, Ulf.Zibis @ CoSoCo.de
 */

package sun.nio.cs;

class UTF_16LE extends UTF_16 {

    UTF_16LE(String canonicalName, String... aliases) {
        super(canonicalName, aliases);
    }

    public String historicalName() {
        return "UnicodeLittleUnmarked";
    }

    public Decoder newDecoder() {
        return new Decoder(this, LITTLE);
    }

    public Encoder newEncoder() {
        return new Encoder(this, LITTLE, false);
    }
}
